> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api-stage-structure/rally.md).

# Rally

Rally is organized into stages. In order to retrieve all the ids of the stages related to Rally it is possible to filter the end point "All available tournaments for a sport" with sport id = 101 as shown below:

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <sport_tournaments xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" generated_at="2021-10-21T15:31:47+00:00" xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified http://schemas.sportradar.com/ufsportsapi/v1/endpoints/unified/ufsportsapi.xsd">
    <sport id="sr:sport:101" name="Rally"/>
    <tournaments>
      <tournament id="sr:stage:554321" name="World Rally Championship 2020" scheduled="2020-01-23T10:00:00+00:00" scheduled_end="2020-12-06T13:00:00+00:00">
        <sport id="sr:sport:101" name="Rally"/>
        <category id="sr:category:84" name="Rally"/>
      </tournament>
      <tournament id="sr:stage:686690" name="World Rally Championship 2021" scheduled="2021-01-21T13:00:00+00:00" scheduled_end="2021-11-13T23:55:00+00:00">
        <sport id="sr:sport:101" name="Rally"/>
        <category id="sr:category:84" name="Rally"/>
      </tournament>
    </tournaments>
  </sport_tournaments>
```

To retrieve more info related to one of the stages above it is possible to filter the end point "Information about a tournament" as shown below:

```xml
?xml version="1.0" encoding="UTF-8"?>
  <tournament_info xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" generated_at="2021-10-21T15:34:19+00:00" 
xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified 
http://schemas.sportradar.com/bsa/unified/v1/xml/endpoints/unified/tournament_info.xsd">
    <tournament id="sr:stage:554321" scheduled="2020-01-23T10:00:00+00:00" scheduled_end="2020-12-06T13:00:00+00:00" name="World Rally Championship 2020">
      <sport id="sr:sport:101" name="Rally"/>
      <category id="sr:category:84" name="Rally"/>
      <competitors>
        <competitor id="sr:competitor:7149" name="Loeb, Sebastien" abbreviation="LOE" gender="male"/>
        <competitor id="sr:competitor:7150" name="Sordo, Daniel" abbreviation="SOR" gender="male"/>
        <competitor id="sr:competitor:7232" name="Mikkelsen, Andreas" abbreviation="MIK" gender="male"/>
        <competitor id="sr:competitor:7196" name="Ostberg, Mads" abbreviation="OST" gender="male"/>
        <competitor id="sr:competitor:50075" name="Ogier, Sebastien" abbreviation="OGI" gender="male"/>
        <competitor id="sr:competitor:358382" name="Kajetanowicz, Kajetan" abbreviation="KAJ" gender="male"/>
        <competitor id="sr:competitor:66058" name="Tanak, Ott" abbreviation="TAN" gender="male"/>
        <competitor id="sr:competitor:62796" name="Neuville, Thierry" abbreviation="NEU" gender="male"/>
        <competitor id="sr:competitor:89882" name="Tidemand, Pontus" abbreviation="TID" gender="male"/>
        <competitor id="sr:competitor:137698" name="Breen, Craig" abbreviation="BRE" gender="male"/>
        <competitor id="sr:competitor:88642" name="Lappi, Esapekka" abbreviation="LAP" gender="male"/>
        <competitor id="sr:competitor:137700" name="Evans, Elfyn" abbreviation="EVA" gender="male"/>
        <competitor id="sr:competitor:209148" name="Suninen, Teemu" abbreviation="SUN" gender="male"/>
        <competitor id="sr:competitor:170808" name="Camilli, Eric" abbreviation="CAM" gender="male"/>
        <competitor id="sr:competitor:228978" name="Veiby, Ole Christian" abbreviation="VEI" gender="male"/>
        <competitor id="sr:competitor:221312" name="Greensmith, Fergus" abbreviation="GRE" gender="male"/>
        <competitor id="sr:competitor:228940" name="Loubet, Pierre-Louis" abbreviation="LOU" gender="male"/>
        <competitor id="sr:competitor:358352" name="Huttunen, Jari" abbreviation="HUT" gender="male"/>
        <competitor id="sr:competitor:275203" name="Katsuta, Takamoto" abbreviation="KAT" gender="male"/>
        <competitor id="sr:competitor:388930" name="Rovanpera, Kalle" abbreviation="ROV" gender="male"/>
        <competitor id="sr:competitor:420263" name="Bulacia Wilkinson, Marco" abbreviation="BUL" gender="male"/>
        <competitor id="sr:competitor:536239" name="Fourmaux, Adrien" abbreviation="FOU" gender="male"/>
        <competitor id="sr:competitor:543783" name="Gryazin, Nikolay" abbreviation="GRY" gender="male"/>
        <competitor id="sr:competitor:643598" name="Solberg, Oliver" abbreviation="SOL" gender="male"/>
      </competitors>
    </tournament>
    <coverage_info live_coverage="false"/>
  </tournament_info>
```

Also the summary and the fixture end points can be used in order to retrieve the same info.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api-stage-structure/rally.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
